@media only screen and (max-width: 420px) {

  :root {
    --font-Size-Header: 15px;
    --font-Size-Text: 10px;
    --font-Size-Text-Small: 7px;
    --base-padding: 4px;
  }

  #accessibility-toggle-btn {
    position: relative;
    left: -20%;

    background: none;
    border: none;
    padding: 0;
  }

  .Accessbility-button {
    width: 50px;
    height: 50px;
    padding: 5px;
    margin: 5px;
    box-sizing: border-box;
    border-radius: 20px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #ccc;
    background-color: #f0f0f0;
    cursor: pointer;
    overflow: hidden;
  }

  .Accessbility-button img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
  }

  #accessibility-toggle-btn img {
    display: block;
    width: 50px;
    height: 50px;

  }

  #fixed-right-sidebar {
    position: fixed;
    top: 100px;
    right: 15%;
    width: 150px;
    padding: 15px;
    z-index: 10;
    border-radius: 40px;
    margin-right: 5%;
  }


  #welcome-video {
    width: 100%;
    height: 80%;
    max-height: 120vh;
    object-fit: cover;
  }

  /* --- Header --- */
  .header-left {
    right: 0;
    flex-wrap: wrap;
    justify-content: center;
  }

  .header-left a.logo {

    width: 100px;
    height: 50px;
    margin-bottom: 5px;
  }

  .header-center {
    margin-left: 0;
    text-align: center;
    width: 100%;
  }

  .header-center a {
    font-size: var(--font-Size-Header);
    margin: 0 8px;
    padding: 3px 0;
  }

  #fixed-right-sidebar {
    right: -20%;
  }

  /* --- Sidebar --- */
  #accessibility-toggle-btn {
    background: none;
    border: none;
    padding: 0;
  }

  #accessibility-button {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: block;
  }

  .Accessbility-content {
    margin-left: -80%;
  }


  .Main-Section {
    min-height: 25vh;
    padding-top: 10px;
  }

  .hero-section {
    min-height: 40vh;
  }

  .text-overlay {
    width: 95%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-left: 0;
    margin-top: 0;
    top: 50%;
  }

  .text-overlay .welcome-name {
    font-size: 30px;
  }

  .text-overlay .welcome-subtitle {
    font-size: 20px;
  }

  .shape-rectangle,
  .shape-circle {
    display: none;
  }

  .text-main {
    width: 95%;
    left: 2.5%;
    font-size: var(--font-Size-Text-Small);
    margin: 10px auto;
    padding: 0;
  }

  .flipbook-viewport {
    width: 350px;
    height: 800px;
    max-width: none;
    min-height: 50vh;
    max-height: 55vh;
    margin: 0 auto;
    perspective: 1000px;
    overflow: hidden;

  }


  .page-front,
  .page-back {
    padding: 8px;
  }

  .page-front h2,
  .page-back h2 {
    font-size: var(--font-Size-Text);
    margin-bottom: 5px;
    padding-top: 3px;
    padding-bottom: 3px;
  }

  .page h2 p.page-oddNumber,
  .page h2 p.page-evenNumber {
    font-size: 0.7em;
  }

  .page-back:not(.cover)::after,
  .page-front:not(.cover)::before,
  .page-front:not(.cover)::after,
  .page-back:not(.cover)::before {
    display: none;
  }

  .page-front>p,
  .page-back>p {
    font-size: var(--font-Size-Text-Small);
    line-height: 1.3;
  }

  .page-back ol li {
    font-size: 11px;
    margin-left: 5px;
    line-height: 1.2;
  }

  .flipbook {
    width: 100%;
    height: 100%;
    position: absolute;
    transform-style: preserve-3d;
    transition: transform 0.5s;
    transform: scale(1.0);
  }

  .page-image {
    max-height: 25%;
    max-width: 95%;
    margin-top: 5px;
  }

  .flipbook-nav {

    margin-top: 5%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 0px 0px 0px 0px;
    box-sizing: border-box;
    position: relative;
    right: 2%;
    bottom: 20%;
    pointer-events: none;


  }

  #prev-page-btn img,
  #next-page-btn img {
    width: 40px;
    height: 40px;
  }

  .page-front>audio,
  .page-back>audio {
    width: 90%;
    max-width: 90%;
    padding-top: 5px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 0;
    padding-right: 0;
    right: auto;
    height: 35px;
    overflow: hidden;
  }

  .page-front>*:not(audio),
  .page-back>*:not(audio) {
    margin-bottom: 5px;
  }

  .contact-Section {
    font-size: var(--font-Size-Text-Small);
    width: 90%;
    margin-left: 10%;
    margin-top: 20%;
    max-width: 350px;
    left: auto;
    text-align: center;
  }

  .contact-container {
    width: 80%;
    max-width: 350px;
    left: auto;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5%;
    margin-bottom: 80px;
    padding: 20px;
    height: auto;
  }

  .contact-container h1 {
    margin-top: -8%;
  }



  /* --- Footer --- */
  .Footer-box {
    font-size: 0.8em;
    padding: 5px 0;
    min-height: 40px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
  :root {
    --font-Size-Header: 28px;
    --font-Size-Text: 18px;
    --font-Size-Text-Small: 14px;
    --base-padding: 8px;
  }

  .header-left {
    display: flex;
    align-items: center;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-right: 40px;
    padding-left: 10px;
    position: relative;
    z-index: 1;
    width: 100%;
    box-sizing: border-box;
    margin-top: -2%;
    right: 20px;
  }

  .header-left a.logo {
    display: inline-block;
    width: 222.5px;
    height: 112.5px;
    background-image: url('../Assets/logo Transparent.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    text-indent: -9999px;
    overflow: hidden;
    flex-shrink: 0;
  }

  .header-center {
    margin-left: 25px;
  }


  .header-center a {
    display: inline-block;
    color: white;
    text-decoration: none;
    margin: 0 15px;
    padding: 5px 0;
    font-size: var(--font-Size-Header);
    line-height: 25px;
    border-radius: 4px;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.6);
    transition: color 0.3s, background-color 0.3s, border-color 0.3s;
    border-bottom: 3px solid transparent;
  }

  .header-center a:hover {
    color: var(--link-hover-text, black);
    background-color: var(--link-hover-bg, #ddd);
    border-bottom: none;
  }

  .header-center a.active {
    color: var(--accent-color, #D5DF24);
    border-bottom: 3px solid var(--accent-color, #D5DF24);
    padding-bottom: 2px;
    background-color: transparent;
  }

  .shape-rectangle {
    padding-top: 0px;
    height: 200px;
  }


  .Main-Section video#Welcome-Video {
    transform: rotate(90deg) scale(1.0);
  }

  #fixed-right-sidebar {
    width: 120px;
    top: 100px;
    right: 5px;
    padding: 8px;
    font-size: 0.8em;
  }

  #fixed-right-sidebar h3 {
    font-size: 0.9em;
  }

  #fixed-right-sidebar ul li a {
    font-size: 0.85em;
  }



  .Main-Section {
    min-height: 60vh;
    padding-top: 20px;
  }

  .hero-section {
    min-height: 50vh;
  }

  .text-overlay {
    width: 95%;
    margin-left: -85px;
    margin-top: 10px;
  }

  .text-overlay .welcome-name {
    font-size: 36px;/
  }

  .text-overlay .welcome-subtitle {
    font-size: 24px;
  }

  .text-main {
    width: 95%;
    font-size: var(--font-Size-Text-Small);
    margin: 15px auto;
    padding: 0 5px;
  }

  .flipbook-viewport {
    width: 600px;
    height: 600px;
    min-height: 60vh;
    max-height: none;
    margin: 8% auto;
    margin-left: 20px;
    perspective: 1200px;
  }

  .flipbook {
    transform: scale(1);
  }

  .page-front,
  .page-back {
    padding: 10px;
  }

  .page-front h2,
  .page-back h2 {
    font-size: var(--font-Size-Text);
    margin-bottom: 8px;
  }

  .page-back:not(.cover)::after,
  .page-front:not(.cover)::before,
  .page-front:not(.cover)::after,
  .page-back:not(.cover)::before {
    width: 15%;
    height: 10%;
    border-width: 2px;
  }

  .page-front>p,
  .page-back>p {
    font-size: var(--font-Size-Text-Small);
    line-height: 1.3;
  }

  .page-back ol li {
    font-size: 13px;
    margin-left: 10px;
  }

  .page-image {
    max-height: 30%;
    margin-top: 8px;
  }

  .flipbook-nav {
    width: 100%;
    right: 10px;
    bottom: 100px;
    padding-right: -20;
    padding-right: 0px;
    padding-left: 0px;

  }

  #prev-page-btn img,
  #next-page-btn img {
    width: 50px;
    height: 50px;
  }

  .page-front>audio,
  .page-back>audio {
    width: 95%;
    max-width: 95%;
    padding-top: 8px;
  }

  .page-front>*:not(audio),
  .page-back>*:not(audio) {
    margin-bottom: 8px;
  }

  .contact-Section h1 {
    font-size: 28px;
    margin-top: 8%;
    margin-bottom: 25px;
  }

  .contact-Section label {
    font-size: var(--font-Size-Text-Small);
    width: 90%;
    max-width: 350px;
  }

  .contact-Section input[type="text"],
  .contact-Section input[type="email"],
  .contact-Section textarea {
    width: 90%;
    max-width: 350px;
    font-size: var(--font-Size-Text-Small);
    padding: 10px;
  }

  textarea {
    height: 150px;
  }

  #submit {
    width: 100px;
    height: 40px;
    font-size: var(--font-Size-Text-Small);
    margin-top: 15px;
  }
}



/* Media Query für Tablets */
@media screen and (min-width: 768px) and (max-width: 1024px) {
  .text-main {
    font-size: 20px;
    left: 5%;
    width: 90%;
  }
}